%define pre RC3
%define vertype community
%define rel 2

Name:           dynamips
Version:        0.2.8
Release:        %mkrel %{?pre:0.%pre.}%{?vertype:0.%vertype.}%rel
Summary:        Cisco router emulator
License:        GPLv2
Group:          Emulators
URL:            http://www.gns3.net/dynamips

Source0:        http://downloads.sourceforge.net/gns-3/%{name}-%{version}%{?pre:-%pre}%{?vertype:-%vertype}.tar.gz
Patch0:         %{name}-%{version}%{?pre:-%pre}%{?vertype:-%vertype}-make.patch

BuildRequires:  libpcap-devel
BuildRequires:  elfutils-devel
BuildRequires:  libuuid-devel

ExclusiveArch:  %ix86 x86_64


%description
Dynamips is a software that emulates Cisco IOS on a traditional PC. It has been
made by Christophe Fillot who started his work in August 2005. The last
official release of Dynamips supports Cisco 7200, 3600 series (3620, 3640 and
3660), 3700 series (3725, 3745) and 2600 series (2610 to 2650XM, 2691) and
therefore is very popular with people studying for CCNA, CCNP and CCIE
certification exams. Please note that you must provide your own IOS images
compatible with the Cisco hardware emulated by Dynamips. 

This is Cisco Router Emulator developed by GNS3 Community.

%prep
%setup -q -n %{name}-%{version}%{?pre:-%pre}%{?vertype:-%vertype}
%patch0 -p1

#fix a typo
sed -i -e 's/dynmips/dynamips/g' nvram_export.1

%build
#prepare flags
%setup_compile_flags
CFLAGS="$CFLAGS -I/usr/include/libelf"; export CFLAGS
CXXFLAGS="$CXXFLAGS -I/usr/include/libelf"; export CXXFLAGS

#parallel build fails
#don't use "%make" that is "make -j2"
%ifarch x86_64
make DYNAMIPS_ARCH=amd64 DYNAMIPS_LIB=lib64
%else
make DYNAMIPS_ARCH=x86 DYNAMIPS_LIB=lib
%endif

%install

%ifarch x86_64
DYNAMIPS_ARCH=amd64 %makeinstall_std
%else
DYNAMIPS_ARCH=x86 %makeinstall_std
%endif

chmod -x README.community

%files
%doc COPYING README README.community README.hypervisor TODO stable/ChangeLog
%{_bindir}/*
%{_mandir}/man?/*



%changelog

* Tue Nov 29 2011 kamil <kamil> 0.2.8-0.RC3.0.community.2.mga1
+ Revision: 174056
- Keep release lower than in Cauldron
- Import into 1/updates (mga #1502)
- fix a typo in the description
- fix the width of the description
- clean spec

* Thu Nov 10 2011 anssi <anssi> 0.2.8-0.RC3.0.community.1.mga2
+ Revision: 166247
- do not mv binaries in Makefile, it causes a relink in %%install
  (updates make.patch)
- link binaries with LDFLAGS (updates make.patch)

  + kamil <kamil>
    - fix a typo on a man page
    - a bit more cleaning
    - build and installation fixed
    - new version
    - description updated
    - summary updated
    - URL changed
    - now licensed under GPLv2
    - new build requirements on libuuid-devel
    - cleaning
    - imported package dynamips


* Sat Jan 31 2009 Buchan Milne <bgmilne@mandriva.org> 0.2.8-0.RC2.1mdv2009.1
+ Revision: 335777
- New version 0.2.8-rc2

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-2mdv2009.1
+ Revision: 298249
- rebuilt against libpcap-1.0.0

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.2.7-1mdv2008.1
+ Revision: 140723
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 04 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.7-1mdv2008.0
+ Revision: 35016
- New version 0.2.7 final


* Sun Mar 11 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.7-0.RC1.2mdv2007.1
+ Revision: 141251
- New version 0.2.7-RC1
- Add labs and images directories for use in hypervisor mode
- Fix build on x86_64

* Wed Jan 17 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.6-0.RC5.1mdv2007.1
+ Revision: 109963
- Import dynamips

* Sat Jan 06 2007 Buchan Milne <bgmilne@mandriva.org> 0.2.5-1mdv
- initial package

